#!/bin/bash 
#

### INSTALL SCRIPT FOR THE SIMPLETON GTK THEME ###

# Starting the gui dialogs

zenity --question --title="Simpleton GTK" --text="Do you want to install and apply the Simpleton GTK theme?"
if [ $? -eq 0 ] ; then
	# Checks if the theme is already installed
	if [ -d $HOME/.themes/Simpleton ]; then
		zenity --warning --text="The theme seems to be installed already. If you are updating the theme, please do it manually. Aborting..."
		exit 0
	else
		# Copy the GTK theme to the user's themes directory
		cp -r Simpleton $HOME/.themes
		# Activates the GTK theme
		gconftool-2 --type string --set /desktop/gnome/interface/gtk_theme "Simpleton"
		# Activates the Metacity theme
		# gconftool-2 --type string --set /apps/metacity/general/theme "metacity theme here"
		exit 0
	fi	
else
	zenity --error --title="Aborted" --text="Theme installation aborted."
	exit 0
fi

# Not finished yet becuase I can't find a way to do this with bash.
# Ignore if you are editing this script unless you can figure out a 
# way to import and set emerald themes this way. ;-)
#
# zenity --question --title="Simpleton Emerald" --text="Do you want to install and apply the emerald window decoration theme?"
# if [ $? -eq 0 ] ; then
#	if [ "$(pidof emerald)" ] 
#	then
#		zenity --info --text="Emerald is running?"
#		exit 0
#	else
#		zenity --Warning --text="Emerald is NOT running. Make sure you have emerald installed and running. Aborting."
#		exit 0
#	fi
# else
#	zenity --error --title="Aborted" --text="Emerald theme installation aborted."
#	exit 0
# fi
